Bug 177528 - Traceback if no repos defined
Traceback if no repos defined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 11:29 EST by Orion Poplawski
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 12:27:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-01-11 11:29:29 EST
Description of problem:
Low priority, but yum gives a traceback if not repos are defined:

Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
No Repositories Available to Set Up
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 97, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 464, in doCommands
    return self.installPkgs()
  File "/usr/share/yum-cli/cli.py", line 827, in installPkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 70, in doRepoSetup
    yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 257, in doRepoSetup
    self.repos.callback.progressbar(num, len(repos), repo.id)
UnboundLocalError: local variable 'repo' referenced before assignment

which makes you think that there is a problem with yum, not with your setup.

Version-Release number of selected component (if applicable):
yum-2.5.1-1
Comment 1 Orion Poplawski 2006-03-16 12:27:52 EST
Works in yum-2.4.1-1.fc4 and yum-2.6.0-1:

# yum -y upgrade
Setting up Upgrade Process
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
No Packages marked for Update/Obsoletion

Though you might make "No Repositories Available to Set Up" "flashing" and the
last message to emphasize that this is a *bad thing*.


Note You need to log in before you can comment on or make changes to this bug.